Package com.avaya.clientservices.pushnotification.enums

## Enum PushNotificationServiceType

- java.lang.Object
- - java.lang.Enum<PushNotificationServiceType>
  - - com.avaya.clientservices.pushnotification.enums.PushNotificationServiceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PushNotificationServiceType>`

      public enum PushNotificationServiceType
      extends java.lang.Enum<PushNotificationServiceType>

  Enumeration representing push notification service type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `TELEPHONY_SERVICE` | Telephony service type that delivers incoming calls and message waiting status notifications.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PushNotificationServiceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PushNotificationServiceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TELEPHONY_SERVICE

          public static final PushNotificationServiceType TELEPHONY_SERVICE

      Telephony service type that delivers incoming calls and message waiting status notifications.

  - ### Method Detail

    - #### values

          public static PushNotificationServiceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PushNotificationServiceType c : PushNotificationServiceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PushNotificationServiceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null